#include <p24fxxxx.h>
#define FCY 16000000UL
#include <libpic30.h>

// *****************************************************************************
// *****************************************************************************
// Configuration Bits
// *****************************************************************************
// *****************************************************************************

        _CONFIG1(WDTPS_PS1 & FWPSA_PR32 & WINDIS_OFF & FWDTEN_OFF & ICS_PGx1 & GWRP_OFF & GCP_OFF & JTAGEN_OFF)
        _CONFIG2(POSCMOD_HS & I2C1SEL_PRI & IOL1WAY_OFF & OSCIOFNC_ON & FCKSM_CSDCMD & FNOSC_PRIPLL & PLL96MHZ_ON & PLLDIV_NODIV & IESO_ON)
        _CONFIG3(WPFP_WPFP0 & SOSCSEL_SOSC & WUTSEL_LEG & WPDIS_WPDIS & WPCFG_WPCFGDIS & WPEND_WPENDMEM)
        _CONFIG4(DSWDTPS_DSWDTPS3 & DSWDTOSC_LPRC & RTCOSC_SOSC & DSBOREN_OFF & DSWDTEN_OFF)
 
// *****************************************************************************

int main(void){

    CLKDIV = 0;        // system clock: 32MHz

	AD1PCFG = 0xffff; /*set AN pins to digital pin */
	TRISB = 0x7fff;	/* set PORTB RB15 (pin #26) to output*/
					/* "0" corresponds to "o"utput and "1" to "i"nput */
	while(1){
		PORTBbits.RB15=1;
	    __delay32(8000000UL); // 0.5s delay
		PORTBbits.RB15 =0;
		__delay32(8000000UL); // 0.5s delay
	}	
}
